package request

type AlibabaWdkMarketingOpenVersionCountRequest struct {
	/*
	   查询版本号     */
	VersionId *int64 `json:"version_id" required:"true" `
	/*
	   操作Id     */
	OperateId *string `json:"operate_id" required:"true" `
}

func (s *AlibabaWdkMarketingOpenVersionCountRequest) SetVersionId(v int64) *AlibabaWdkMarketingOpenVersionCountRequest {
	s.VersionId = &v
	return s
}
func (s *AlibabaWdkMarketingOpenVersionCountRequest) SetOperateId(v string) *AlibabaWdkMarketingOpenVersionCountRequest {
	s.OperateId = &v
	return s
}

func (req *AlibabaWdkMarketingOpenVersionCountRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.VersionId != nil {
		paramMap["version_id"] = *req.VersionId
	}
	if req.OperateId != nil {
		paramMap["operate_id"] = *req.OperateId
	}
	return paramMap
}

func (req *AlibabaWdkMarketingOpenVersionCountRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
